Holger's Java API

## com.antelmann.genealogy.db
Class GDB

    java.lang.Object
      com.antelmann.db.AbstractDatabase<Connection>
          com.antelmann.sql.SQLDatabase
              com.antelmann.sql.SQLFactoryDatabase
                  com.antelmann.genealogy.db.GDB

All Implemented Interfaces:
  Database<Connection>, LoginListener, LoggerProvider, QueryMechanism, Closeable, EventListener

    public class GDB

extends SQLFactoryDatabase

Since:
  31.12.2014, 21:36:47
Author:
  holger

Nested Class Summary

Nested classes/interfaces inherited from interface com.antelmann.db.LoginListener
`LoginListener.Adapter`

Field Summary

Fields inherited from class com.antelmann.sql.SQLDatabase
`connectionCheckTimeout`

Constructor Summary
`GDB(Factory<Connection> factory)`

Method Summary
`IDFactory` `getIDFactory()`

Methods inherited from class com.antelmann.sql.SQLFactoryDatabase
`createTransaction, getDatabaseServiceAsWrapper, getFactory, isPermanentConnection, setPermanentConnection`

Methods inherited from class com.antelmann.sql.SQLDatabase
`close, generateGenericClassStore, generateGenericClassStore, getColumnNames, getColumnTypes, getDisplayColumn, getHelper, getIDColumn, getRandomEntry, getTableName, getTableNames, getTableQuery, getTransaction, isValid, queryStoreForInterface`

Methods inherited from class com.antelmann.db.AbstractDatabase

`addConfigListener, addStoreListener, checkAccessRight, checkTransactionActive, clearAllData, contains, contains, count, countStubs, delete, delete, delete, extractInterface, failedLogin, finalize, fireStoreChanges, getAccessController, getAvailableClassStores, getConfigListeners, getCurrentUser, getDatabaseService, getEntry, getEntry, getEntry, getFirstEntry, getFirstStub, getLogger, getOriginalClassStore, getRandomEntry, getRandomStub, getStore, getStoreForEntry, getStoreListeners, getStub, getStub, hasAutomatedTransactions, isEnsureTransactions, isVersioningEnabled, listEntries, listEntries, listStubs, loginPerformed, logoutPerformed, mapEntries, mapStubs, putClassStore, query, remove, removeConfigListener, removeStoreListener, setAccessController, setAutomatedTransactions, setCurrentUser, setEnsureTransactions, setVersioningEnabled, store`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GDB

    public GDB(Factory<Connection> factory)
        throws Exception

Throws:
  `Exception`

Method Detail

### getIDFactory

    public IDFactory getIDFactory()

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads